# Class Viewer

java.lang.Object
fr.iutfbleau.sae.Viewer

public class Viewer extends Object
Classe principale qui lance l'application de visualisation d'images PIF. Elle recupere le chemin de l'image en argument et demarre l'interface.

## Constructor Summary

Constructors
Constructor
Description
`Viewer()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
Point d'entree de l'application.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Viewer

public Viewer()

## Method Details

### main

public static void main(String[] args)
Point d'entree de l'application. Recupere le chemin du fichier image passe en argument si present, cree la fenetre et le controleur, puis charge l'image PIF.

Parameters:
  `args` - tableau d'arguments, le premier element est le chemin de l'image (optionnel)